Loading...
Searching...
No Matches
DataProvider::DefaultBulkInserter Class Reference

Default builk inserter class. More...

`#include <DefaultBulkInserter.qc.dox.h>`

Inheritance diagram for DataProvider::DefaultBulkInserter:
[legend]

## Public Member Functions

| constructor (AbstractDataProvider provider)
| Creates the object.
| discard ()
| Discards any buffered data.
| flush ()
| Flushes any remaining data to the data provider.
| queueData (hash< auto > record)
| Queues data in the buffer.
| queueData (list< hash< auto > > records)
| Queues data in the buffer.
Public Member Functions inherited from DataProvider::AbstractDataProviderBulkOperation
| commit ()
| Commits data written to the data provider.
| constructor (AbstractDataProvider provider)
| Creates the object.
abstract | discard ()
| Discards any buffered data.
abstract | flush ()
| Flushes any remaining data to the data provider.
abstract | queueData (hash< auto > record)
| Queues data in the buffer.
abstract | queueData (list< hash< auto > > records)
| Queues data in the buffer.
| rollback ()
| Rolls back data written to the data provider.

## Additional Inherited Members

Protected Attributes inherited from DataProvider::AbstractDataProviderBulkOperation
AbstractDataProvider | provider
| The data provider.

## Detailed Description

Default builk inserter class.

## Member Function Documentation

## discard()

DataProvider::DefaultBulkInserter::discard | ( |  | ) |

Discards any buffered data.

This method should be called before rolling back the transaction (if the data provider supports transaction management) or destroying the object if an error occurs

## flush()

DataProvider::DefaultBulkInserter::flush | ( |  | ) |

Flushes any remaining data to the data provider.

This method should always be called before committing the transaction (if the data provider supports transaction management) or destroying the object